<big><h1 align="center">Chatic Command Line Tool</h1></big>

<p align="center">
  <a href="https://npmjs.org/package/chatic">
    <img src="https://img.shields.io/npm/v/chatic.svg" alt="NPM Version"/>
  </a>

  <a href="https://github.com/Chatic/chatic-cli/issues">
    <img src="https://img.shields.io/github/issues/Chatic/chatic-cli.svg" alt="Github Issues"/>
  </a>


  <a href="https://travis-ci.org/Chatic/chatic-cli">
    <img src="https://img.shields.io/travis/Chatic/chatic-cli.svg" alt="Travis Status"/>
  </a>


  <a href="https://david-dm.org/Chatic/chatic-cli">
    <img src="https://david-dm.org/Chatic/chatic-cli.svg" alt="dependencies status"/>
  </a>

  <a href="https://david-dm.org/Chatic/chatic-cli?type=dev">
    <img src="https://david-dm.org/Chatic/chatic-cli/dev-status.svg" alt="devDependencies status"/>
  </a>
</p>

<p align="center"><big>
Module for chatbot end-to-end testing
</big></p>

## Install

```sh
npm i -g chatic
```

## Setup

```sh
chatic init
```

## Usage

Run:

```sh
chatic test -src=./test/.chaticconf
```

You can customize config using `.chaticconf` file:

```json
{
    "host": "https://demo.chatic.io",
    "tests": "./test/**/*.js",
    "platforms": ["facebook", "slack"]
}
```

## Author

Chatic Team hello@chatic.io https://chatic.io
