#! /usr/bin/env node
'use strict';

var _meow = require('meow');

var _meow2 = _interopRequireDefault(_meow);

var _lib = require('./lib/');

var _lib2 = _interopRequireDefault(_lib);

var _chalk = require('chalk');

var _chalk2 = _interopRequireDefault(_chalk);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var cli = (0, _meow2.default)('\n    Usage\n      $ chatic [input]\n\n    ' + _chalk2.default.blue('Commands') + '\n\n      ' + _chalk2.default.green('help or -h') + ' Get more information about this tool\n\n      ' + _chalk2.default.green('test') + ' Start tests\n\n          ' + _chalk2.default.blue('Options') + '\n          ' + _chalk2.default.green('-src') + ' Path to config\n\n      ' + _chalk2.default.green('init') + ' Create initial configuration\n\n    Examples\n      $ chatic test -src=.chaticconf\n', {
    alias: {
        s: 'src'
    }
});

var input = (cli.input || [])[0];
var flags = cli.flags || {};

if (input === 'help' || typeof input === 'undefined') {
    console.log(cli.help);
    process.exit(); // eslint-disable-line
}

(0, _lib2.default)(input, flags);